net.sf.jasperreports.export

## Class SimpleRtfReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleRtfReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ReportExportConfiguration, RtfReportConfiguration

      public class SimpleRtfReportConfiguration
      extends SimpleReportExportConfiguration
      implements RtfReportConfiguration

  Version:
    $Id: SimpleRtfReportConfiguration.java 6826 2014-01-21 10:07:03Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.RtfReportConfiguration

      `PROPERTY_IGNORE_HYPERLINK`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRtfReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `void` | `setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleRtfReportConfiguration

          public SimpleRtfReportConfiguration()

  - ### Method Detail

    - #### isIgnoreHyperlink

          public java.lang.Boolean isIgnoreHyperlink()

      Specified by:
        `isIgnoreHyperlink` in interface `RtfReportConfiguration`
      See Also:
        `RtfReportConfiguration.PROPERTY_IGNORE_HYPERLINK`

    - #### setIgnoreHyperlink

          public void setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com